Error
A valid request URL is required to generate request examples"{items=[{data={title=Order ID 23456 Logistics CHH Warehouse, description=Complaint received for 3 pallets of product that was shipped on Bad Pallets., severity=High}, cursor=Ijf7eqZc0RlZmluaXRpb25zfDA=}, {data={title=Order ID 1472 Logistics CHH Warehouse, description=Complaint received for 1 pallet of product that was shipped on a Bad Pallet., severity=Low}, cursor=cHJvY2Vzc0RlZmluaXRpb25zfDA=}], total=2, paging={has_next_page=false, end_cursor=cHJvY2Vzc0RlZmluaXRpb25zfDA=, start_cursor=Ijf7eqZc0RlZmluaXRpb25zfDA=, has_previous_page=false}}"Records
Get the list of records
GET
/
{recordType}
/
{alias}
Error
A valid request URL is required to generate request examples"{items=[{data={title=Order ID 23456 Logistics CHH Warehouse, description=Complaint received for 3 pallets of product that was shipped on Bad Pallets., severity=High}, cursor=Ijf7eqZc0RlZmluaXRpb25zfDA=}, {data={title=Order ID 1472 Logistics CHH Warehouse, description=Complaint received for 1 pallet of product that was shipped on a Bad Pallet., severity=Low}, cursor=cHJvY2Vzc0RlZmluaXRpb25zfDA=}], total=2, paging={has_next_page=false, end_cursor=cHJvY2Vzc0RlZmluaXRpb25zfDA=, start_cursor=Ijf7eqZc0RlZmluaXRpb25zfDA=, has_previous_page=false}}"When listing Element-type records, calling this endpoint through an interactive API explorer can resolve to the Elements management API (
GET /elements/{alias}, “Get an element by alias”) instead of the record list, because both share the /elements/{alias} path shape.To reliably reach the records list, call the endpoint directly — for example with cURL or Postman — using the full path https://api.elementum.io/v1/{recordType}/{alias}.To retrieve one known record by ID instead of a list, GET https://api.elementum.io/v1/elements/{namespace}/{recordId} returns that single record directly.Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
'apps', 'elements', 'tasks', or 'transactions'
The application alias
Query Parameters
The number of elements to retrieve after the 'after' cursor location
Required range:
1 <= x <= 1000The starting cursor to begin searching, defaults to the beginning of the list
The number of elements to retrieve before the 'before' cursor location
Required range:
1 <= x <= 1000The starting cursor to begin searching, defaults to the end of the list
An RSQL filter string.
Was this page helpful?